<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Tugas Form Input Binding</title>
</head>
<body>
    <div id="app">
        <input type="text" v-model="kataKunci" placeholder="Ketikkan kata kunci"/>
        <div v-if="buku.length" class="table"></div>
        <div>
            <ul>
                <li v-for="item in tersaring">{{item.judul}}</li>
            </ul>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>

    <script>
        var vm = new Vue({
            el: '#app',
            data: {
                kataKunci: null,
                buku: [
                    {judul: 'Kalkulus Dasar'},
                    {judul: 'Fisika Dasar'},
                    {judul: 'Aljabar Linear Elementer'},
                    {judul: 'Aljabar Abstrak'},
                    {judul: 'Algoritma Pemrograman'}
                ]
            },
            computed: {
                tersaring () {
                    if (this.kataKunci) {
                        return this.buku.filter((item) => {
                            return this.kataKunci.toLowerCase().split(' ').every(v => item.judul.toLowerCase().includes(v))
                        })
                    } else {
                    return this.buku
                    }
                }
            }
        })
    </script>

</body>
</html>